-- 基础信息
base_info = {
	group_id = 133316076
}

-- DEFS_MISCS
local DIR = {Up = 0,Right = 1,Down = 2,Left = 3,None = 4,}
--转换器的列表，1表示可移动
defs = {
	pointarray_id = 331600021, --点阵ID
	graph_num = 1,
	len_x = 7, --长度
	len_z = 5, --高度
	rot_y = 180, --偏转角
	reminder_push_warning = 400095, --无法推动的reminder
}
local converter_infos = {[76005] = 1}
--0->断路 |-1 电源| 1-> 可停留节点| 1.5 -> 可能存在结晶的节点| 2 -> 电线 | 2.5-> 结晶块 |
--3-> 接收器 | 4 -> 中继器 | 4.5 -> 对位中继器输入

local connected_graph = {
[5] = { -1, 0, 0, 0, 0, 0, 0},
[4] = { 2, 0, 0, 0, 0, 0, 0},
[3] = { 1, 2, 1, 0, 0, 0, 0},
[2] = { 2, 0, 2, 0, 0, 0, 0},
[1] = { 1, 2, 1, 2, 2, 2, 3},
}

--与节点图一一对应，点阵中 点的位置
local waypoint_graph = {
[5] = { 0, 0, 0, 0, 0, 0, 0},
[4] = { 0, 0, 0, 0, 0, 0, 0},
[3] = { 1, 0, 2, 0, 0, 0, 0},
[2] = { 0, 0, 0, 0, 0, 0, 0},
[1] = { 3, 0, 4, 0, 0, 0, 0},
}

local gadget_graph ={
[5] = { 76001, 0, 0, 0, 0, 0, 0},
[4] = { 76002, 0, 0, 0, 0, 0, 0},
[3] = { 76008, 76004, 76009, 0, 0, 0, 0},
[2] = { 76011, 0, 76012, 0, 0, 0, 0},
[1] = { 76010, 76007, 76013, 76006, 76006, 76014, 76003},
}

--点阵和每个点的POS,用来在恢复的时候创建Gadget
local waypoint_pos = {
	[1] = {x=465.913055, y=123.512077, z=6321.6665},
	[2] = {x=455.860657, y=123.512077, z=6322.22559},
	[3] = {x=466.323578, y=123.512077, z=6332.22461},
	[4] = {x=456.163422, y=123.512077, z=6332.673},
}

--定义左下角原点、X轴、Z轴正方向的点，通过向量计算位置关系
local axis_O = {x = 466.2947, z = 6332.15}
local axis_Z = {x = 466.1193, z = 6329.256}
local axis_X = {x = 463.5958, z = 6332.261}


--发射器的位置以及朝向,发射器的状态
local emitter_infos = {
	[76001] = {z = 5, x = 1, dir = DIR.Down},
}

local receiver_infos = {
	[76003] = {r_type = "Rec", connect_gadget = {0} },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 76001, gadget_id = 70360369, pos = { x = 465.536, y = 123.114, z = 6312.020 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76002, gadget_id = 70360376, pos = { x = 465.677, y = 123.292, z = 6316.707 }, rot = { x = 0.000, y = 91.836, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76003, gadget_id = 70360384, pos = { x = 446.224, y = 123.172, z = 6333.022 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76004, gadget_id = 70360376, pos = { x = 460.723, y = 123.292, z = 6321.997 }, rot = { x = 0.000, y = 182.834, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76005, gadget_id = 70360372, pos = { x = 456.134, y = 123.199, z = 6332.686 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 32, is_use_point_array = true, area_id = 30 },
	{ config_id = 76006, gadget_id = 70360375, pos = { x = 453.423, y = 123.303, z = 6332.646 }, rot = { x = 0.000, y = 1.785, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76007, gadget_id = 70360376, pos = { x = 461.086, y = 123.292, z = 6332.335 }, rot = { x = 0.000, y = 182.834, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76008, gadget_id = 70360379, pos = { x = 465.851, y = 123.292, z = 6321.619 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76009, gadget_id = 70360379, pos = { x = 455.763, y = 123.292, z = 6322.078 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76010, gadget_id = 70360379, pos = { x = 466.238, y = 123.292, z = 6332.152 }, rot = { x = 0.000, y = 2.354, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76011, gadget_id = 70360376, pos = { x = 466.088, y = 123.292, z = 6327.166 }, rot = { x = 0.000, y = 91.836, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76012, gadget_id = 70360376, pos = { x = 455.881, y = 123.292, z = 6327.418 }, rot = { x = 0.000, y = 91.836, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76013, gadget_id = 70360379, pos = { x = 456.127, y = 123.292, z = 6332.610 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 32, area_id = 30 },
	{ config_id = 76014, gadget_id = 70360375, pos = { x = 448.425, y = 123.303, z = 6332.802 }, rot = { x = 0.000, y = 1.785, z = 0.000 }, level = 32, area_id = 30 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
	{ config_id = 1, name = "converter_76005", value = 100301, no_refresh = true }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 76001, 76002, 76003, 76004, 76006, 76007, 76008, 76009, 76010, 76011, 76012, 76013, 76014 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_6/EnergyTransform"
